// external
import accessible, { isAccessible, R_OK } from '@bevry/fs-accessible';
/** Returns a Promise that rejects with an error if the path is not readable. */
export function readable(path) {
    return accessible(path, R_OK);
}
export default readable;
export function isReadable(path) {
    if (Array.isArray(path)) {
        return Promise.all(path.map((i) => isReadable(i)));
    }
    return isAccessible(path, R_OK);
}
